//					DASM.H

#ifndef dasmh
#define dasmh

extern class pefile pe_exe;
extern class xref xr;
extern class disasm disassemble;
extern class imp imports;
extern class exp exports;
extern class comments dis_comments;
extern class res resources;
extern class reloc relocs;
extern CRITICAL_SECTION cs;
extern BOOL processing;
extern BOOL KillThread;
extern BOOL comfile;
extern BOOL newexe,dosexe,leexe,os2exe,w3exe,szexe;
extern BOOL loaddata;
extern HWND ProgressBar;

#define Progress_SetRange(hwnd, nMinRange, nMaxRange) \
	 (DWORD)SendMessage((hwnd), PBM_SETRANGE, 0, MAKELPARAM(nMinRange, nMaxRange))

#define Progress_SetPos(hwnd, nNewPos) \
	 (int)SendMessage((hwnd), PBM_SETPOS, (WPARAM) nNewPos, 0L)

#define Progress_DeltaPos(hwnd, nIncrement) \
	 (int)SendMessage((hwnd), PBM_DELTAPOS, (WPARAM) nIncrement, 0L)

#define Progress_SetStep(hwnd, nStepInc) \
	 (int)SendMessage((hwnd), PBM_SETSTEP, (WPARAM) nStepInc, 0L)

#define Progress_StepIt(hwnd) \
	 (int)SendMessage((hwnd), PBM_STEPIT, 0, 0L)

#endif